Package org.eclipse.cdt.utils.macho

## Class MachO64.SegmentCommand

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO64.LoadCommand
  - - org.eclipse.cdt.utils.macho.MachO64.SegmentCommand

Enclosing class:
  MachO64

    public class MachO64.SegmentCommand
    extends MachO64.LoadCommand

### Field Summary

Fields
`long` `fileoff`
`long` `filesize`
`int` `flags`
`int` `initprot`
`int` `maxprot`
`int` `nsects`
`String` `segname`
`static long` `SG_FVMLIB`
`static long` `SG_HIGHVM`
`static long` `SG_NORELOC`
`static int` `VM_PROT_ALL`
`static int` `VM_PROT_COPY`
`static int` `VM_PROT_DEFAULT`
`static int` `VM_PROT_EXECUTE`
`static int` `VM_PROT_NO_CHANGE`
`static int` `VM_PROT_NONE`
`static int` `VM_PROT_READ`
`static int` `VM_PROT_WANTS_COPY`
`static int` `VM_PROT_WRITE`
`long` `vmaddr`
`long` `vmsize`

### Fields inherited from class org.eclipse.cdt.utils.macho.MachO64.LoadCommand

`cmd, cmdsize, LC_DYSYMTAB, LC_FVMFILE, LC_ID_DYLIB, LC_ID_DYLINKER, LC_IDENT, LC_IDFVMLIB, LC_LOAD_DYLIB, LC_LOAD_DYLINKER, LC_LOAD_WEAK_DYLIB, LC_LOADFVMLIB, LC_PREBIND_CKSUM, LC_PREBOUND_DYLIB, LC_PREPAGE, LC_REQ_DYLD, LC_ROUTINES, LC_ROUTINES_64, LC_SEGMENT, LC_SEGMENT_64, LC_SUB_CLIENT, LC_SUB_FRAMEWORK, LC_SUB_LIBRARY, LC_SUB_UMBRELLA, LC_SYMSEG, LC_SYMTAB, LC_THREAD, LC_TWOLEVEL_HINTS, LC_UNIXTHREAD, LC_UUID`

### Constructor Summary

Constructors
`SegmentCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `prot​(int val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SG_HIGHVM

    public static final long SG_HIGHVM

See Also:
  Constant Field Values

#### SG_FVMLIB

    public static final long SG_FVMLIB

See Also:
  Constant Field Values

#### SG_NORELOC

    public static final long SG_NORELOC

See Also:
  Constant Field Values

#### VM_PROT_NONE

    public static final int VM_PROT_NONE

See Also:
  Constant Field Values

#### VM_PROT_READ

    public static final int VM_PROT_READ

See Also:
  Constant Field Values

#### VM_PROT_WRITE

    public static final int VM_PROT_WRITE

See Also:
  Constant Field Values

#### VM_PROT_EXECUTE

    public static final int VM_PROT_EXECUTE

See Also:
  Constant Field Values

#### VM_PROT_DEFAULT

    public static final int VM_PROT_DEFAULT

See Also:
  Constant Field Values

#### VM_PROT_ALL

    public static final int VM_PROT_ALL

See Also:
  Constant Field Values

#### VM_PROT_NO_CHANGE

    public static final int VM_PROT_NO_CHANGE

See Also:
  Constant Field Values

#### VM_PROT_COPY

    public static final int VM_PROT_COPY

See Also:
  Constant Field Values

#### VM_PROT_WANTS_COPY

    public static final int VM_PROT_WANTS_COPY

See Also:
  Constant Field Values

#### segname

    public String segname

#### vmaddr

    public long vmaddr

#### vmsize

    public long vmsize

#### fileoff

    public long fileoff

#### filesize

    public long filesize

#### maxprot

    public int maxprot

#### initprot

    public int initprot

#### nsects

    public int nsects

#### flags

    public int flags

### Constructor Detail

#### SegmentCommand

    public SegmentCommand()

### Method Detail

#### prot

    public boolean prot​(int val)